﻿<div style="background-color: rgb(0, 95, 153); height: 96px; width: 100%">
    <img src="/content/wk.png" />
</div>
<div class="container">
    <div class="row">
        <div class="col-md-12">
        </div>
    </div>
    <div class="row">
        <div class="col-md-10">
            <h1>Wolters Kluwer Project Portal</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12" ng-hide="vm.editMode || vm.addMode">
            <div class="row">
                <div id="search" class="col-md-10">
                    <input type="text" ng-model="vm.searchText" placeholder="Filter Projects..." />
                </div>
                <div id="addbutton" class="col-md-2">
                    <button class="btn" ng-click="vm.add()" ng-hide="vm.editMode || vm.addMode">Add Project</button>
                </div>
            </div>
            <div id="hot">
                <h2 ng-hide="vm.searchText">Hot Projects</h2>
                <h2 ng-show="vm.searchText">Results</h2>
                <div ng-repeat="project in vm.projects|filter:vm.searchText|orderBy:['downvotes-upvotes','name']">
                    <!--|limitTo:4">-->
                    <div class="row" ng-hide="$first">
                        <div class="col-md-12">
                            <hr />
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="row">
                                <div class="col-md-2">
                                    <img alt="Project Image" class="img-rounded" height="64" width="64" ng-src="{{project.imageUri}}" />
                                </div>
                                <div class="col-md-1">
                                    <div class="row">
                                        <span><button type="button" ng-click="vm.voteup(project)" class="btn btn-link btn-xs"><span title="Upvote" class="glyphicon glyphicon-chevron-up"></span></button></span>
                                    </div>
                                    <div class="row">
                                        <span>&nbsp;{{project.upvotes - project.downvotes}}</span>
                                    </div>
                                    <div class="row">
                                        <span><button type="button" ng-click="vm.votedown(project)" class="btn btn-link btn-xs"><span title="Downvote" class="glyphicon glyphicon-chevron-down"></span></button></span>
                                    </div>
                                </div>
                                <div class="col-md-9">
                                    <div class="row">
                                        <div class="col-md-8">
                                            <span class="h3">{{project.name}}</span>
                                        </div>
                                        <div class="col-md-4">
                                            <a ng-href="{{project.website}}" class="btn btn-link btn-xs" ng-disabled="!project.website"><span title="Visit Website" class="glyphicon glyphicon-globe"></span></a>
                                            <button type="button" ng-click="vm.edit(project)" class="btn btn-link btn-xs"><span title="Edit" class="glyphicon glyphicon-edit"></span></button>
                                            <button type="button" ng-click="vm.remove(project)" class="btn btn-link btn-xs"><span title="Remove" class="glyphicon glyphicon-trash"></span></button>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-7">
                                            <span><span title="Owner" class="glyphicon glyphicon-user"></span> <span>{{project.owner}}</span></span>
                                        </div>
                                        <div class="col-md-5">
                                            <span><span title="Created" class="glyphicon glyphicon-calendar"></span> <span>{{project.createdDate|date}}</span></span>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-7">
                                            <span title="Tags" class="glyphicon glyphicon-tag"></span>
                                            <span ng-repeat="tag in project.tags" ng-click="vm.filter(tag.text)">{{(!$first ? ", " : "") + tag.text}}</span>
                                            <span ng-hide="project.tags">(no tags)</span>
                                        </div>
                                        <div class="col-md-5">
                                            <span><span title="Current Stage" class="glyphicon glyphicon-flag"></span> <span>{{project.stage}}</span></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6" ng-show="project.summary">
                            <i>&ldquo;{{project.summary}}&rdquo;</i>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-6" ng-show="vm.editMode || vm.addMode">
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h2 class="panel-title">{{vm.editMode ? 'Edit' : 'Add New'}} Project</h2>
                </div>
                <form ng-submit="vm.save(vm.newProject)">
                    <div class="panel-body">
                        <div class="col-md-6">
                            <div class="input-group form-group">
                                <span class="input-group-addon" style="min-width: 85px">Name:</span>
                                <input class="form-control" type="text" ng-model="vm.newProject.name" />
                            </div>
                            <div class="input-group form-group">
                                <span class="input-group-addon" style="min-width: 85px">Website:</span>
                                <input class="form-control" type="url" ng-model="vm.newProject.website" />
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="input-group form-group">
                                <span class="input-group-addon" style="min-width: 85px">Owner:</span>
                                <input class="form-control" type="text" ng-model="vm.newProject.owner" />
                            </div>
                            <div class="input-group">
                                <span class="input-group-addon" style="min-width: 85px">Stage:</span>
                                <select class="form-control" ng-model="vm.newProject.stage">
                                    <option ng-repeat="item in vm.stages" value="{{item}}">{{item}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="well col-md-12">
                            <label for="tags">Tags:</label>
                            <tags-input name="tags" class="bootstrap" ng-model="vm.newProject.tags"></tags-input>
                        </div>
                    </div>
                    <div class="panel-footer">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="pull-right">
                                    <input class="btn" type="submit" />
                                    <input class="btn" type="button" ng-click="vm.cancel()" value="Cancel" />
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>